{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "PAGE.CAPTION.TEST.USR05103999TABEXPVIEW"
  },
  "caption" : "路由跳转实体分页导航视图",
  "codeName" : "TESTUsr05103999TabExpView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr05103999TabExpView.json",
  "name" : "TESTUsr05103999TabExpView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "TabExpView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "codeName" : "Usr05103999TabExpView_DR",
    "controlStyle" : "ROUTE_DRTAB",
    "controlType" : "DRTAB",
    "dataRelationTag" : "Usr05103999TabExpView_DR",
    "getEditItemCapPSLanguageRes" : {
      "lanResTag" : "DE.LNAME.TEST"
    },
    "editItemCaption" : "测试实体",
    "name" : "tabexppanel",
    "getPSAppCounterRef" : {
      "modelref" : true,
      "id" : "c0738c9dec0bd355f3062df0532aeb37"
    },
    "getPSAppCounterRefs" : [ {
      "getPSAppCounter" : {
        "codeName" : "Test__Custom",
        "counterType" : "DEDR",
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPCOUNTERS/Test__Custom.json",
        "getGetPSAppDEAction" : {
          "modelref" : true,
          "id" : "Counter"
        },
        "name" : "自定义计数器",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSSysPFPlugin" : {
          "pluginType" : "APPCOUNTER",
          "pluginCode" : "index2CustomCounterId"
        },
        "timer" : 10000,
        "uniqueTag" : "Test__Custom"
      },
      "refMode" : {
        "srfdeid" : "TEST"
      },
      "tag" : "c0738c9dec0bd355f3062df0532aeb37",
      "uniqueTag" : "Test__Custom",
      "id" : "c0738c9dec0bd355f3062df0532aeb37"
    } ],
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "tabexppanel"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "ctrlParams" : {
        "SHOWMORE" : "true"
      },
      "id" : "TABEXPPANEL"
    },
    "getPSDEDRTabPages" : [ {
      "caption" : "产品",
      "dataAccessAction" : "UPDATE",
      "enableMode" : "DEOPPRIV",
      "name" : "product",
      "getPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr05101237EditView2.json",
        "viewType" : "DEEDITVIEW2"
      }
    }, {
      "caption" : "应用",
      "counterId" : "num1",
      "counterMode" : 1,
      "enableMode" : "COUNT_GTE_ZERO",
      "name" : "app",
      "getPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGridView.json",
        "viewType" : "DEGRIDVIEW"
      }
    }, {
      "caption" : "单位选择测试",
      "counterId" : "num5",
      "counterMode" : 1,
      "enableMode" : "SCRIPT",
      "name" : "test",
      "getPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr12116727GridView.json",
        "viewType" : "DEGRIDVIEW"
      },
      "testScriptCode" : "true"
    }, {
      "caption" : "分页搜索列表",
      "enableMode" : "COUNT_GT_ZERO",
      "name" : "test6",
      "getPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTTabSearchListView.json",
        "viewType" : "DELISTVIEW"
      }
    }, {
      "caption" : "分页搜索列表",
      "enableMode" : "COUNT_GT_ZERO",
      "name" : "test7",
      "getPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTTabSearchListView.json",
        "viewType" : "DELISTVIEW"
      }
    }, {
      "caption" : "模拟表格视图",
      "counterId" : "num2",
      "counterMode" : 1,
      "dataAccessAction" : "READ",
      "enableMode" : "DEOPPRIV",
      "name" : "test8",
      "getPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTCustomGridView.json",
        "viewType" : "DECUSTOMVIEW"
      }
    } ],
    "getPSSysPFPlugin" : {
      "pluginType" : "CUSTOM",
      "pluginCode" : "ROUTE_DRTAB"
    },
    "uniqueTag" : "TESTUsr05103999TabExpView__tabexppanel",
    "modelid" : "D46F659F-0AEE-48FC-B99B-9F584830A1F7",
    "modeltype" : "PSDEDRTAB"
  }, {
    "getCapPSLanguageRes" : {
      "lanResTag" : "PAGE.CAPTION.TEST.USR05103999TABEXPVIEW"
    },
    "caption" : "路由跳转实体分页导航视图",
    "codeName" : "Usr05103999TabExpViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "Usr05103999TabExpView",
  "getPSDEViewId" : "BFFFA5AB-FFA0-4F75-84BC-F184FFA45F8F",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDETABEXPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "tabLayout" : "TOP",
  "title" : "路由跳转实体分页导航视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.TEST.USR05103999TABEXPVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DETABEXPVIEW",
  "enableDP" : true,
  "enableQuickSearch" : false,
  "enableSearch" : false,
  "expandSearchForm" : false,
  "loadDefault" : true,
  "showDataInfoBar" : true,
  "modelid" : "8267fc63a5b0dcbd0c3d71fb5f5e5a64",
  "modeltype" : "PSAPPDEVIEW"
}